package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 忙闲状态
 */
public enum ConfigTypeEnum implements IIntegerEnum {

    PUBLIC_CONFIG(0, "公共配置"),

    PRIVATE_CONFIG(1, "私有配置");

    private Integer value;
    private String display;

    ConfigTypeEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {
        return display;
    }
}
